import axios from 'axios';
import {
  TVCreatePredictType,
  TVGetDataPredictType,
  PredictResponseType,
} from '../types';

class ApiTV {
  readonly baseURL = import.meta.env.VITE_SERVER_URL;

  getDataForRequest = async (): Promise<TVGetDataPredictType> => {
    try {
      const response = await axios.get<TVGetDataPredictType>(
        `${this.baseURL}/get_unique_data_tv`,
      );
      return response.data;
    } catch (error) {
      console.error('Error predicting price:', error);
      throw error;
    }
  };

  predictPrice = async (
    data: TVCreatePredictType,
  ): Promise<PredictResponseType> => {
    try {
      const response = await axios.post<PredictResponseType>(
        `${this.baseURL}/predict_price/tv/`,
        data,
      );
      return response.data;
    } catch (error) {
      console.error('Error predicting price:', error);
      throw error;
    }
  };
}

const apiTV = new ApiTV();
export default apiTV;
