import React, { FormEvent, ReactNode } from 'react';
import classes from './styles.module.scss';

type ButtonProps = {
  children: ReactNode;
  onClick: (e: FormEvent) => Promise<void>;
};

const Button: React.FC<ButtonProps> = ({ children, onClick }) => {
  return (
    <button className={classes.button} onClick={onClick}>
      {children}
    </button>
  );
};

export default Button;
