import { useNavigate } from 'react-router-dom';
import { motion } from 'framer-motion';
import classes from './styles.module.scss';

const Navbar = () => {
  const navigation = useNavigate();

  const handleHomeRedirect = () => {
    navigation('/');
  };

  const navbarVariants = {
    hidden: { y: -100, opacity: 0 },
    visible: { y: 0, opacity: 1 },
  };

  return (
    <motion.nav
      className={classes.navbar}
      initial="hidden"
      animate="visible"
      variants={navbarVariants}
      transition={{ duration: 0.5 }}
    >
      <div className={classes.container}>
        <div className={classes.logo}>
          <h1 className={classes.title} onClick={handleHomeRedirect}>
            Price Builder
          </h1>
          <span className={classes.version}>v1.0.0</span>
        </div>
      </div>
    </motion.nav>
  );
};

export default Navbar;
